# Class RxapAuthenticationGuard

- Defined in lib/authentication.guard.ts:16

#####
Index

### Constructors

constructor

### Properties

authentication
deactivated
lastUrl
router

### Methods

canActivate
canActivateChild
checkAuthStatus
createUrlTreeToLastUrl

## Constructors

### constructor

- new RxapAuthenticationGuard(authentication, router, deactivated?): RxapAuthenticationGuard

- #### Parameters

  - authentication: RxapAuthenticationService
  - router: Router
  - deactivated: boolean = null

  #### Returns RxapAuthenticationGuard

  - Defined in lib/authentication.guard.ts:20

## Properties

### authentication

authentication: RxapAuthenticationService

- Defined in lib/authentication.guard.ts:22

### `Private` `Readonly` deactivated

deactivated: boolean = null

- Defined in lib/authentication.guard.ts:27

### lastUrl

lastUrl: string = null

- Defined in lib/authentication.guard.ts:18

### router

router: Router

- Defined in lib/authentication.guard.ts:24

## Methods

### canActivate

- canActivate(route, state): Promise<boolean | UrlTree>

- #### Parameters

  - route: ActivatedRouteSnapshot
  - state: RouterStateSnapshot

  #### Returns Promise<boolean | UrlTree>

  - Defined in lib/authentication.guard.ts:31

### canActivateChild

- canActivateChild(childRoute, state): Promise<boolean | UrlTree>

- #### Parameters

  - childRoute: ActivatedRouteSnapshot
  - state: RouterStateSnapshot

  #### Returns Promise<boolean | UrlTree>

  - Defined in lib/authentication.guard.ts:39

### `Private` checkAuthStatus

- checkAuthStatus(route, state): Promise<boolean | UrlTree>

- #### Parameters

  - route: ActivatedRouteSnapshot
  - state: RouterStateSnapshot

  #### Returns Promise<boolean | UrlTree>

  - Defined in lib/authentication.guard.ts:47

### `Private` createUrlTreeToLastUrl

- createUrlTreeToLastUrl(lastUrl): UrlTree

- #### Parameters

  - lastUrl: string

  #### Returns UrlTree

  - Defined in lib/authentication.guard.ts:98